Package com.avaya.clientservices.agent

## Interface QueueStatisticsListener

-     public interface QueueStatisticsListener

  Represents an interface that can be used to retrieve status updates from an QueueStatistics object. One or more listeners can be registered with an QueueStatistics object to retrieve status updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onQueueStatisticsActiveStatusChanged​(QueueStatistics queueStatistics, boolean bIsActive)` | Called when the queue monitoring operation has been started or stopped.
    `void` | `onQueueStatisticsInformationUpdated​(QueueStatistics queueStatistics)` | Called when queue statistics information is updated.
    `void` | `onQueueStatisticsSkillNameChanged​(QueueStatistics queueStatistics, java.lang.String skillName)` | Called when the skill name has been changed.

- - ### Method Detail

    - #### onQueueStatisticsActiveStatusChanged

          void onQueueStatisticsActiveStatusChanged​(QueueStatistics queueStatistics,
                                                    boolean bIsActive)

      Called when the queue monitoring operation has been started or stopped.
      Parameters:
        `queueStatistics` - The queue statistics instance that the callback is associated with.
        `bIsActive` - The queue statistics status.

    - #### onQueueStatisticsSkillNameChanged

          void onQueueStatisticsSkillNameChanged​(QueueStatistics queueStatistics,
                                                 java.lang.String skillName)

      Called when the skill name has been changed.
      Parameters:
        `queueStatistics` - The queue statistics instance that the callback is associated with.
        `skillName` - The queue statistics skill name.

    - #### onQueueStatisticsInformationUpdated

          void onQueueStatisticsInformationUpdated​(QueueStatistics queueStatistics)

      Called when queue statistics information is updated.
      Parameters:
        `queueStatistics` - The queue statistics instance that the callback is associated with.